document.addEventListener('DOMContentLoaded', () => {
  const calculateBtn = document.getElementById('calculate');
  const resultDiv = document.getElementById('result');
  const meterFill = document.getElementById('meter-fill');
  const verdictText = document.getElementById('verdict');

  calculateBtn.addEventListener('click', () => {
    const lies = parseInt(document.getElementById('lies').value) || 0;
    const money = parseInt(document.getElementById('money').value) || 0;
    const excuses = parseInt(document.getElementById('excuses').value) || 0;
    const time = parseInt(document.getElementById('time').value) || 0;

    // Calculate risk score (0-100)
    let score = 0;
    score += lies * 15;
    score += money > 0 ? 40 : 0;
    score += excuses * 10;
    score -= time * 5; // Longer relationships might be more legitimate

    // Normalize score between 0 and 100
    score = Math.min(Math.max(score, 0), 100);

    // Show result
    resultDiv.classList.remove('hidden');
    meterFill.style.width = `${score}%`;

    // Determine verdict
    let verdict = '';
    if (score < 30) {
      verdict = "Low risk - but stay vigilant! 🤔";
    } else if (score < 60) {
      verdict = "Medium risk - proceed with caution! ⚠️";
    } else if (score < 80) {
      verdict = "High risk - time to reconsider! 🚩";
    } else {
      verdict = "¡Dios mío! Run for the hills! 🏃‍♀️💨";
    }

    verdictText.textContent = verdict;

    // Add animation
    resultDiv.style.animation = 'fadeIn 0.5s ease-in';
    
    // Scroll to result
    resultDiv.scrollIntoView({ behavior: 'smooth' });
  });

  // Add input validation
  document.querySelectorAll('input').forEach(input => {
    input.addEventListener('input', () => {
      if (input.value < 0) input.value = 0;
    });
  });
});
